%define	major 1
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Summary:	An open-source audio processing library
Name:		soundtouch
Version:	2.1.1
Release:	%mkrel 1
Group:		System/Libraries
License:	LGPLv2+
URL:		http://www.surina.net/soundtouch/
Source0:	https://gitlab.com/soundtouch/soundtouch/-/archive/%{version}/%{name}-%{version}.tar.gz
# patch from fedora origin, rediffed - 07 Sep 2012
Patch0:		soundtouch-1.7.0-x86_64-asm-broken.patch
Patch1:		soundtouch-1.9.2-automake-1.13.patch
BuildRequires:	dos2unix
Conflicts:	SoundTouch

%description
SoundTouch is an open-source audio processing library. It allows changing the
sound tempo, pitch and playback rate parameters independently from each other.

%package -n	%{libname}
Summary:	An open-source audio processing library
Group:          System/Libraries
Conflicts:	%{mklibname SoundTouch 0}

%description -n	%{libname}
SoundTouch is an open-source audio processing library. It allows changing the
sound tempo, pitch and playback rate parameters independently from each other.

This package contains the shared libraries for SoundTouch.

%package -n	%{develname}
Summary:	Development package with static libs and headers
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Conflicts:	%{mklibname SoundTouch 0 -d}

%description -n	%{develname}
Static libraries and header files required for compiling SoundTouch plugins.

%prep

%autosetup -p1

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

# fix permissions
chmod 644 COPYING.TXT README.html

# strip away annoying ^M
find -type f | grep -v ".gif" | grep -v ".png" | grep -v ".jpg" | xargs dos2unix

%build

sh ./bootstrap

%configure2_5x \
    --enable-shared

%make_build

%install
%make_install

# cleanup
find %{buildroot} -name '*.la' -delete
rm -rf %{buildroot}/usr/doc

%files
%doc COPYING.TXT README.html
%{_bindir}/soundstretch

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%dir %{_includedir}/soundtouch
%{_includedir}/soundtouch/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/soundtouch*.pc
%{_datadir}/aclocal/*


%changelog
* Thu Nov 15 2018 mrambo3501 <mrambo3501> 2.1.1-1.mga6
+ Revision: 1330034
- version 2.1.1 fixes CVE-2018-1709[6-8] (mga#23823)
- deleted patches 2-4 applied upstream
- sync spec with cauldron
- add rediffed upsteam patch which fixes cve-2018-1404[45] (mga#23500)
- add rediffed upsteam patch which fixes cve-2018-1000223
- add fedora patch which fixes cve-2017-92[58-60] (mga#23323)

* Fri Feb 12 2016 umeabot <umeabot> 1.9.2-2.mga6
+ Revision: 958904
- Mageia 6 Mass Rebuild

* Sat Jan 02 2016 luigiwalser <luigiwalser> 1.9.2-1.mga6
+ Revision: 918464
- 1.9.2
- rediff patch 1
- library major is now 1

* Wed Oct 15 2014 umeabot <umeabot> 1.8.0-3.mga5
+ Revision: 748542
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.0-2.mga5
+ Revision: 689256
- Mageia 5 Mass Rebuild

* Tue Jun 24 2014 luigiwalser <luigiwalser> 1.8.0-1.mga5
+ Revision: 639131
- 1.8.0
- rediff automake 1.13 patch

* Sat Oct 19 2013 umeabot <umeabot> 1.7.1-2.mga4
+ Revision: 523739
- Mageia 4 Mass Rebuild

* Fri May 24 2013 luigiwalser <luigiwalser> 1.7.1-1.mga4
+ Revision: 426715
- 1.7.1

* Mon Jan 14 2013 umeabot <umeabot> 1.7.0-3.mga3
+ Revision: 382383
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 luigiwalser <luigiwalser> 1.7.0-2.mga3
+ Revision: 340772
- fix for automake 1.13

* Sat Sep 08 2012 luigiwalser <luigiwalser> 1.7.0-1.mga3
+ Revision: 289849
- fix dos2unix usage
- 1.7.0

* Mon Oct 03 2011 fwang <fwang> 1.6.0-1.mga2
+ Revision: 151137
- new version 1.6.0

* Fri Sep 09 2011 tv <tv> 1.5.0-1.mga2
+ Revision: 141815
- new release

* Sun Feb 06 2011 ahmad <ahmad> 1.4.0-4.mga1
+ Revision: 47652
- drop old/unneeded scriptlets
- imported package soundtouch

